package com.ho.test.realexamples.test1.pojo;

import java.util.Calendar;

import com.ho.test.realexamples.test1.SingleValueCalendarConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamConverter;

@XStreamAlias("print_instruction")
public class PrintInstruction {

   	@XStreamAsAttribute
   	@XStreamAlias("language")
	private String language;
   	
   	@XStreamAlias("copies_number")
	private int nbCopies;

	@XStreamConverter(SingleValueCalendarConverter.class)
	@XStreamAlias("psh_deadline")
	private Calendar pshDeadline;

	@XStreamAlias("document_rs_id")
	private FileRsId fileRsId;

	
	//------------------------------------------------------------------ GETTER/SETTER
	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public int getNbCopies() {
		return nbCopies;
	}

	public void setNbCopies(int nbCopies) {
		this.nbCopies = nbCopies;
	}

	public Calendar getPshDeadline() {
		return pshDeadline;
	}

	public void setPshDeadline(Calendar pshDeadline) {
		this.pshDeadline = pshDeadline;
	}

	public FileRsId getFileRsId() {
		return fileRsId;
	}

	public void setFileRsId(FileRsId fileRsId) {
		this.fileRsId = fileRsId;
	}
	
	
	
}
