package com.ho.test.realexamples.test2.pojo;

import java.util.Calendar;

import com.ho.test.realexamples.test2.SingleValueCalendarConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;

public class JI {
	
	@XStreamAlias("fdr_number")
	private String fdrNumber; 
	
	@XStreamAlias("fdr_version_number")
	private int fdrVersion; 

	@XStreamAlias("jt_number")
	private String jtNumber; 

	@XStreamAlias("language")
	private String language; 

	@XStreamAlias("duplication_location")
	private String duplicationLocation; 
	
	@XStreamConverter(SingleValueCalendarConverter.class)
	@XStreamAlias("duplication_date")
	private Calendar duplicationDate;

	//------------------------------------------------------------------ GETTER/SETTER
	public String getFdrNumber() {
		return fdrNumber;
	}

	public void setFdrNumber(String fdrNumber) {
		this.fdrNumber = fdrNumber;
	}

	public int getFdrVersion() {
		return fdrVersion;
	}

	public void setFdrVersion(int fdrVersion) {
		this.fdrVersion = fdrVersion;
	}

	public String getJtNumber() {
		return jtNumber;
	}

	public void setJtNumber(String jtNumber) {
		this.jtNumber = jtNumber;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getDuplicationLocation() {
		return duplicationLocation;
	}

	public void setDuplicationLocation(String duplicationLocation) {
		this.duplicationLocation = duplicationLocation;
	}

	public Calendar getDuplicationDate() {
		return duplicationDate;
	}

	public void setDuplicationDate(Calendar duplicationDate) {
		this.duplicationDate = duplicationDate;
	}
	

}
