package com.ho.test.xstreamsite.test3annotations.test1;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.converters.SingleValueConverter;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15);

		// A simple test
		{
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			System.out.println(xstream.toXML(msg));
			//			<?xml version="1.0" ?>
			//			<com.ho.test.xstream.test3annotations.RendezvousMessage>
			//				<messageType>15</messageType>
			//			</com.ho.test.xstream.test3annotations.RendezvousMessage>
		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
