package com.ho.test.xstreamsite.test3annotations.test3;

import java.util.Arrays;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;


@XStreamAlias("message")
public class RendezvousMessage {

	@XStreamAlias("type")
	private int messageType;
	
	// annotate the content list to be recognized as an implicit collection:
	@XStreamImplicit(itemFieldName="part")
	private List<String> content;
	
	public RendezvousMessage(int messageType, String ... content) {
		this.messageType = messageType;
		this.content = Arrays.asList(content);
	}

}

