package com.ho.test.realexamples.test1.pojo;

import java.util.Calendar;
import java.util.List;

import com.ho.test.realexamples.test1.SingleValueCalendarConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;

public class FdR {
	
	@XStreamAlias("fdr_number")
	private String fdrNumber; 
	
	@XStreamAlias("fdr_version_number")
	private int fdrVersion; 

	@XStreamAlias("fdr_status")
	private String fdrStatus; 

	@XStreamAlias("document_title")
	private String title; 

	@XStreamAlias("distribution_place")
	private String distributionPlace; 

	@XStreamAlias("printing_place")
	private String printingPlace; 

	@XStreamAlias("distribution_place_comment")
	private String distributionPlaceComment; 
	
	@XStreamAlias("duplication")
	private boolean duplication; 
	
	@XStreamAlias("notification")
	private boolean notification; 

	@XStreamAlias("doc_type")
	private String docType; 

	@XStreamAlias("responsable")
	private String responsableName; 

	@XStreamAlias("responsable_tel")
	private String responsableTel; 

	@XStreamAlias("requester_code")
	private String requesterCode; 
	
	@XStreamConverter(SingleValueCalendarConverter.class)
	@XStreamAlias("client_deadline")
	private Calendar clientDeadline;
	
	@XStreamAlias("print_instructions")
	private List<PrintInstruction> printInstructions;

	
	//------------------------------------------------------------------ GETTER/SETTER
	public String getFdrNumber() {
		return fdrNumber;
	}

	public void setFdrNumber(String fdrNumber) {
		this.fdrNumber = fdrNumber;
	}

	public int getFdrVersion() {
		return fdrVersion;
	}

	public void setFdrVersion(int fdrVersion) {
		this.fdrVersion = fdrVersion;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDistributionPlace() {
		return distributionPlace;
	}

	public void setDistributionPlace(String distributionPlace) {
		this.distributionPlace = distributionPlace;
	}

	public String getPrintingPlace() {
		return printingPlace;
	}

	public void setPrintingPlace(String printingPlace) {
		this.printingPlace = printingPlace;
	}

	public String getDistributionPlaceComment() {
		return distributionPlaceComment;
	}

	public void setDistributionPlaceComment(String distributionPlaceComment) {
		this.distributionPlaceComment = distributionPlaceComment;
	}

	public boolean isDuplication() {
		return duplication;
	}

	public void setDuplication(boolean duplication) {
		this.duplication = duplication;
	}

	public boolean isNotification() {
		return notification;
	}

	public void setNotification(boolean notification) {
		this.notification = notification;
	}

	public String getDocType() {
		return docType;
	}

	public void setDocType(String docType) {
		this.docType = docType;
	}

	public String getResponsableName() {
		return responsableName;
	}

	public void setResponsableName(String responsableName) {
		this.responsableName = responsableName;
	}

	public String getResponsableTel() {
		return responsableTel;
	}

	public void setResponsableTel(String responsableTel) {
		this.responsableTel = responsableTel;
	}

	public String getRequesterCode() {
		return requesterCode;
	}

	public void setRequesterCode(String requesterCode) {
		this.requesterCode = requesterCode;
	}

	public Calendar getClientDeadline() {
		return clientDeadline;
	}

	public void setClientDeadline(Calendar clientDeadline) {
		this.clientDeadline = clientDeadline;
	}

	public List<PrintInstruction> getPrintInstructions() {
		return printInstructions;
	}

	public void setPrintInstructions(List<PrintInstruction> printInstructions) {
		this.printInstructions = printInstructions;
	}

	public String getFdrStatus() {
		return fdrStatus;
	}

	public void setFdrStatus(String fdrStatus) {
		this.fdrStatus = fdrStatus;
	}

}
