package com.ho.test.realexamples.test1.pojo;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamConverter;
import com.thoughtworks.xstream.converters.extended.ToAttributedValueConverter;

@XStreamConverter(value=ToAttributedValueConverter.class, strings={"fullRsId"})
public class FileRsId {

   	@XStreamAsAttribute
   	@XStreamAlias("mapping")
	private String mapping;
   	
	private String fullRsId;

	
	//------------------------------------------------------------------ GETTER/SETTER
	public String getMapping() {
		return mapping;
	}

	public void setMapping(String mapping) {
		this.mapping = mapping;
	}

	public String getFullRsId() {
		return fullRsId;
	}

	public void setFullRsId(String fullRsId) {
		this.fullRsId = fullRsId;
	}
	
	
}
