package com.ho.test.xstreamsite.test1simple;

/**
 * Notice that the fields are private. XStream doesn't care about the visibility of the fields. 
 * No getters or setters are needed. Also, XStream does not limit you to having a default constructor.
 * 
 * @author hozveren
 *
 */
public class PhoneNumber {
	private int code;
	private String number;
	
	public PhoneNumber() {
		super();
	}

	public PhoneNumber(int code, String number) {
		super();
		this.code = code;
		this.number = number;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@Override
	public boolean equals(Object obj){
		PhoneNumber p = (PhoneNumber) obj;
		boolean b = p.getNumber().equals(this.getNumber())
				&& p.getCode() == this.getCode()
			;
		
		return b;
	}

}
